def lunar_sum(a, b):
 
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(max(int(a[i]), int(b[i])))
    return result

def lunar_product(a, b):
    
    max_len = max(len(a), len(b))
    a = a.zfill(max_len)
    b = b.zfill(max_len)
    result = ""
    for i in range(max_len):
        result += str(min(int(a[i]), int(b[i])))
    return result

a = input()
b = input()

sum_result = lunar_sum(a, b)
product_result = lunar_product(a, b)

print(sum_result, product_result)




